--[[message
1850
]]
Debug.SetAIName("枯岳说书人_c43")
Debug.ReloadFieldBegin(DUEL_ATTACK_FIRST_TURN + DUEL_SIMPLE_AI + DUEL_PSEUDO_SHUFFLE, 4)
Debug.SetPlayerInfo(0, 2000, 0, 0)
Debug.SetPlayerInfo(1, 13600, 0, 0)

local e0 = Effect.GlobalEffect()
e0:SetType(EFFECT_TYPE_FIELD + EFFECT_TYPE_CONTINUOUS)
e0:SetCode(EVENT_ADJUST)
e0:SetCountLimit(1)
e0:SetCondition(function(e, tp, eg, ep, ev, re, r, rp)
  return Duel.GetLP(0) > 0
end)
e0:SetOperation(function(e, tp, eg, ep, ev, re, r, rp)
  local g = Duel.SelectMatchingCard(tp, Card.IsAbleToHand, tp, LOCATION_DECK, 0, 5, 5, nil)
  if g:GetCount() > 0 then
    Duel.SendtoHand(g, nil, REASON_RULE)
  end
end)
Duel.RegisterEffect(e0, 0)

--自己的怪兽区
--对方的怪兽区
Debug.AddCard(95788410, 1, 1, LOCATION_MZONE, 0, POS_FACEUP_ATTACK) --兔龙
Debug.AddCard(38955728, 1, 1, LOCATION_MZONE, 4, POS_FACEUP_ATTACK) --龙核的咒灵者
Debug.AddCard(74677426, 1, 1, LOCATION_MZONE, 1, POS_FACEUP_ATTACK) --真红眼黑龙
Debug.AddCard(31897444, 1, 1, LOCATION_MZONE, 5, POS_FACEUP_ATTACK) --冥宫的番人
Debug.AddCard(55410871, 1, 1, LOCATION_MZONE, 3, POS_FACEUP_ATTACK) --青眼混沌极龙
Debug.AddCard(89631139, 1, 1, LOCATION_MZONE, 2, POS_FACEUP_ATTACK) --青眼白龙
--自己的魔陷区
--对方的魔陷区
--自己的手卡
Debug.AddCard(86937530, 0, 0, LOCATION_DECK, 2, POS_FACEUP_ATTACK) --妖精传姬-辉夜
Debug.AddCard(39000945, 0, 0, LOCATION_DECK, 3, POS_FACEUP_ATTACK) --恩底弥翁的皇后
--~ Debug.AddCard(62256492,0,0,LOCATION_DECK,4,POS_FACEUP_ATTACK) --凭依觉醒
--~ Debug.AddCard(9952083,0,0,LOCATION_DECK,1,POS_FACEUP_ATTACK) --召唤连锁
Debug.AddCard(12289247, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --刻读之魔术士
--对方的手卡
--自己的墓地
Debug.AddCard(14785765, 0, 0, LOCATION_GRAVE, 0, POS_FACEUP_ATTACK) --黑羽-精锐之泽费洛斯
--对方的墓地
--自己除外的卡
--对方除外的卡
--自己的卡组
Debug.AddCard(86937530, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --妖精传姬-辉夜
Debug.AddCard(86937530, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --妖精传姬-辉夜
Debug.AddCard(62256492, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --凭依觉醒
Debug.AddCard(9952083, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --召唤连锁
Debug.AddCard(39000945, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --恩底弥翁的皇后
Debug.AddCard(55623480, 0, 0, LOCATION_DECK, 0, POS_FACEDOWN) --妖精传姬-白雪
--对方的卡组
Debug.AddCard(89631139, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --青眼白龙
Debug.AddCard(89631139, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --青眼白龙
Debug.AddCard(74677426, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --真红眼黑龙
Debug.AddCard(74677426, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --真红眼黑龙
Debug.AddCard(38955728, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --龙核的咒灵者
Debug.AddCard(38955728, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --龙核的咒灵者
Debug.AddCard(95788410, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --兔龙
Debug.AddCard(95788410, 1, 1, LOCATION_DECK, 0, POS_FACEDOWN) --兔龙
--自己的额外
Debug.AddCard(28776350, 0, 0, LOCATION_EXTRA, 0, POS_FACEDOWN) --虚空俏丽魔术师
Debug.AddCard(66011101, 0, 0, LOCATION_EXTRA, 0, POS_FACEDOWN) --No.60 刻不知之杜加雷斯

Debug.ReloadFieldEnd()

aux.BeginPuzzle()
